/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.frojasg1.generic.languages;

import com.frojasg1.general.CollectionFunctions;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 *
 * @author Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 */
public interface ObtainAvailableLanguages_int
{
	public void setBasicLanguages( String[] basicLanguages );
	public void setAvailableLanguagesInJar( String[] availableLanguagesInJar );
	public void setRootLanguageConfigurationPathInDisk( String rootLanguageConfigurationPathInDisk );
	public String getRootLanguageConfigurationPathInDisk();
	public ListOfLanguagesResult_int getTotalListOfAvailableLanguages();
//	public ListOfLanguagesResult_int getTotalListOfAvailableLanguages(String rootLanguagePackage,
//													String rootLanguageConfigurationPathInDisk );
//	public List<String> getListOfAvailableLanguagesInPackage();
//	public List<String> getListOfAvailableLanguagesConfiguredInDisk();
//	public List<String> getListOfAvailableLanguagesConfiguredInDisk( String rootLanguageConfigurationPathInDisk );

	public String[] getTotalArrayOfAvailableLanguages();
	
	public void newLanguageSetToConfiguration( String language );
}
